Cyberduck Mountain Duck CLI

#1601 closed defect (worksforme)

Crash in CDMainApplication type]: selector not recognized

Reported by: eos292 Owned by: dkocher
Priority: normal Milestone: 3.0
Component: core Version: 2.8.3
Severity: blocker Keywords:
Cc: Architecture:
Platform:

Description

I clicked "install" on 2.8.3. It crashed and would not reopen. I trashed it and reinstalled 2.8.2 which opens and works correctly.

Change History (13)

comment:1 Changed on Jan 22, 2008 at 2:10:44 PM by martin

  • Severity changed from normal to blocker

To add to this report, as I see the same thing:

PPC G4, OS X 10.4.11, Cyberduck 2.8.3

The program starts, but without any windows opening. Any attempt to open any window (Preferences, New Download, New Browser) via the menu or keyboard shortcuts does not perform any action.

Right clicking on the dock item gives the "program is not responding" menu.

Checked the nightly build: same thing.

Changing severity of this report to "blocker", as the program cannot be used at all in that version.

comment:2 Changed on Jan 22, 2008 at 4:20:35 PM by dkocher

Can you find any related output in the console.log (/Applications/Utilities/Console.app)?

comment:3 Changed on Jan 22, 2008 at 4:47:28 PM by martin

Indeed, there are:

Starting the app

2008-01-22 17:42:07.055 Cyberduck[13562] *** -[ch/cyberduck/ui/cocoa/CDMainApplication type]: selector not recognized [self = 0x33b470]
2008-01-22 17:42:07.056 Cyberduck[13562] *** -[ch/cyberduck/ui/cocoa/CDMainApplication type]: selector not recognized [self = 0x33b470]

Opening Preferences via the menu

2008-01-22 17:42:41.257 Cyberduck[13562] *** -[NSMenuItem type]: selector not recognized [self = 0x34f4c0]
2008-01-22 17:42:41.357 Cyberduck[13562] *** -[NSMenuItem type]: selector not recognized [self = 0x34f4c0]

Opening Preferences via keyboard shortcut

2008-01-22 17:43:39.044 Cyberduck[13562] *** -[NSMenu type]: selector not recognized [self = 0x352f40]
2008-01-22 17:43:39.044 Cyberduck[13562] *** -[NSMenu type]: selector not recognized [self = 0x352f40]
2008-01-22 17:43:39.044 Cyberduck[13562] *** -[NSMenu type]: selector not recognized [self = 0x353530]
2008-01-22 17:43:39.045 Cyberduck[13562] *** -[NSMenu type]: selector not recognized [self = 0x353530]
2008-01-22 17:43:39.045 Cyberduck[13562] *** -[NSMenu type]: selector not recognized [self = 0x3536c0]
2008-01-22 17:43:39.045 Cyberduck[13562] *** -[NSMenu type]: selector not recognized [self = 0x3536c0]
2008-01-22 17:43:39.045 Cyberduck[13562] *** -[NSMenu type]: selector not recognized [self = 0x3504a0]
2008-01-22 17:43:39.046 Cyberduck[13562] *** -[NSMenu type]: selector not recognized [self = 0x3504a0]
2008-01-22 17:43:39.063 Cyberduck[13562] *** -[NSMenuItem type]: selector not recognized [self = 0x34f4c0]
2008-01-22 17:43:39.150 Cyberduck[13562] NSInvalidArgumentException: *** -[NSMenuItem type]: selector not recognized [self = 0x34f4c0]
Stack Trace:
NSInvalidArgumentException: *** -[NSMenuItem type]: selector not recognized [self = 0x34f4c0]
	at com.apple.cocoa.application.NSApplication.sendEvent(Native Method)
	at ch.cyberduck.ui.cocoa.CDMainApplication.sendEvent(CDMainApplication.java:64)

Closing the app via the menu

2008-01-22 17:44:27.115 Cyberduck[13562] *** -[ch/cyberduck/ui/cocoa/CDMainApplication type]: selector not recognized [self = 0x33b470]
2008-01-22 17:44:27.115 Cyberduck[13562] *** -[ch/cyberduck/ui/cocoa/CDMainApplication type]: selector not recognized [self = 0x33b470]

Hope this helps.

comment:4 Changed on Jan 22, 2008 at 7:54:42 PM by dkocher

I have no idea. Can you try the latest nightly build from http://update.cyberduck.ch/nightly.

comment:5 Changed on Jan 22, 2008 at 9:03:52 PM by martin

The latest nightly shows the same problem. I tried the other versions in the nightly directory and found that [3369] works, and the next one, [3377], does not work anymore. If you could provide me with a built of [3376], I could test if the big changes in [3377] cause the problems.

comment:6 Changed on Jan 26, 2008 at 12:20:47 PM by dkocher

  • Summary changed from 2.8.3 won't open to Crash in CDMainApplication type]: selector not recognized

comment:7 Changed on Apr 11, 2008 at 5:31:38 PM by dkocher

Now this looks related to #1810. Have you set Java 6 as the default runtime?

comment:8 follow-up: Changed on Apr 11, 2008 at 7:32:00 PM by martin

I don't have Java 6 installed . The Java Preferences application ("Java-Einstellungen") shows J2SE 5.0 selected. /System/Library/Frameworks/JavaVM.framework/Versions shows

lrwxr-xr-x   1 root  wheel    5 14 Dez 14:13 1.3 -> 1.3.1
drwxr-xr-x   8 root  wheel  272  4 Apr  2006 1.3.1
lrwxr-xr-x   1 root  wheel    5 14 Dez 14:13 1.4 -> 1.4.2
drwxr-xr-x   8 root  wheel  272  4 Apr  2006 1.4.2
lrwxr-xr-x   1 root  wheel    5 14 Dez 14:14 1.5 -> 1.5.0
drwxr-xr-x   9 root  wheel  306 29 Nov 17:15 1.5.0
drwxr-xr-x   6 root  wheel  204 19 Mär 15:06 A
lrwxr-xr-x   1 root  wheel    1 14 Dez 14:14 Current -> A
lrwxr-xr-x   1 root  wheel    3 14 Dez 14:13 CurrentJDK -> 1.5

comment:9 in reply to: ↑ 8 Changed on Apr 12, 2008 at 6:18:08 PM by dkocher

Replying to martin:

I don't have Java 6 installed . The Java Preferences application ("Java-Einstellungen") shows J2SE 5.0 selected. /System/Library/Frameworks/JavaVM.framework/Versions shows

Maybe you have installed WindowDragon? Refer to #1882.

comment:10 Changed on Apr 13, 2008 at 8:28:06 PM by jordan_brough

I had the same issue and removing WindowDragon has finally fixed it for me. Thank you.

comment:11 Changed on Apr 14, 2008 at 12:14:13 PM by martin

I can confirm, that putting Cyberduck on the exclude list fixes this problem.

Damn interactions between software, tough to figure out. I can see why many software authors dislike Application Enhancer. WindowDragon is so damn useful though...

comment:12 Changed on Apr 15, 2008 at 6:42:59 AM by martin

I opened a ticket on the WindowDragon SourceForge bug tracker.

comment:13 Changed on May 2, 2008 at 12:52:15 PM by dkocher

  • Milestone set to 3.0
  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software